general: Get exchange information

API: cryptocompare.com:cryptocompare-api
Endpoint: /data/exchanges/general
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 230ms

Description

Returns exchange data keyed by exchange ID, including GradePoints (numerical rating), Grade (letter rating A-F), Country, CentralizationType, supported ItemTypes (Cryptocurrency/Fiat/Tokens), fee information, and detailed descriptions. Use this to evaluate and compare exchanges for trading decisions.

From spec: Get information about cryptocurrency exchanges including ratings, countries, and fees

Usage Tips

- No required parameters - Returns all exchanges in a single response (can be large) - GradePoints range from 0-100, with letter grades: AA (90+), A (80-89), B (70-79), C (60-69), D (below 60) - TOTALVOLUME24H shows 24-hour volume in BTC - AffiliateURL links may be referral links

Examples (1)

Get all cryptocurrency exchanges with ratings and metadata probe-gate

Demonstrates fetching comprehensive exchange data including ratings, fees, deposit methods, and country information for all supported exchanges.

curl 'https://min-api.cryptocompare.com/data/exchanges/general'
import requests

resp = requests.get("https://min-api.cryptocompare.com/data/exchanges/general")
data = resp.json()
import zingu_apis

api = zingu_apis.api("cryptocompare")
result = api.fetch("data/exchanges/general")

for item in result:
    print(item)
const resp = await fetch("https://min-api.cryptocompare.com/data/exchanges/general");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:05:00.143434 200 230ms
2026-04-15 00:59:12.045841 200 195ms
2026-04-14 02:58:51.880488 200 203ms
2026-04-12 13:08:26.256414 200 177ms
2026-04-10 01:41:20.356137 200 130ms
2026-04-09 01:23:18.137731 200 212ms
2026-04-08 07:39:50.642949 200 722ms
2026-04-07 01:32:32.397025 200 191ms